/*
  Made by Cicely 2021
  This program will test the three RGB LEDs at once
*/

#define LED_BLUE 5
#define LED_GREEN 6
#define LED_RED 7
#define LEFT 0
#define MIDDLE 1
#define RIGHT 2
#define FLASHSPEED 300

// the setup function runs once when you press reset or power the board
void setup() {
  pinMode(LED_BLUE, OUTPUT);
  pinMode(LED_GREEN, OUTPUT);
  pinMode(LED_RED, OUTPUT);
  pinMode(LEFT, OUTPUT);
  pinMode(MIDDLE, OUTPUT);
  pinMode(RIGHT, OUTPUT);

  digitalWrite(LED_RED, HIGH);//LED outputs are inverted!!!!!
  digitalWrite(LED_GREEN, HIGH);//that means high is off and low is on!!!! :(
  digitalWrite(LED_BLUE, HIGH);
  digitalWrite(LEFT, LOW);
  digitalWrite(MIDDLE, LOW);
  digitalWrite(RIGHT, LOW);
}

// the loop function runs over and over again forever
void loop() {
  analogWrite(LED_RED, 250); //red is too bright, set lower than other colors
  analogWrite(LED_GREEN, 50);
  analogWrite(LED_BLUE, 30);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(FLASHSPEED);
  digitalWrite(MIDDLE, LOW);
 
  analogWrite(LED_RED, 50);
  analogWrite(LED_GREEN, 100);
  analogWrite(LED_BLUE, 255);

  digitalWrite(LEFT, HIGH);
  delay(FLASHSPEED);
  digitalWrite(LEFT, LOW);

   analogWrite(LED_RED, 140);
  analogWrite(LED_GREEN, 255);
  analogWrite(LED_BLUE, 30);

  digitalWrite(RIGHT, HIGH);
  delay(FLASHSPEED);
  digitalWrite(RIGHT, LOW);

  delay(FLASHSPEED * 2);
}
