/*
  Made by Cicely 2021
  This program will test the three RGB LEDs at once
*/

#define LED_BLUE 5
#define LED_GREEN 6
#define LED_RED 7
#define LEFT 0
#define MIDDLE 1
#define RIGHT 2

// the setup function runs once when you press reset or power the board
void setup() {
  pinMode(LED_BLUE, OUTPUT);
  pinMode(LED_GREEN, OUTPUT);
  pinMode(LED_RED, OUTPUT);
  pinMode(LEFT, OUTPUT);
  pinMode(MIDDLE, OUTPUT);
  pinMode(RIGHT, OUTPUT);

  digitalWrite(LED_RED, HIGH);//LED outputs are inverted!!!!!
  digitalWrite(LED_GREEN, HIGH);//that means high is off and low is on!!!! :(
  digitalWrite(LED_BLUE, HIGH);
  digitalWrite(LEFT, LOW);
  digitalWrite(MIDDLE, LOW);
  digitalWrite(RIGHT, LOW);
}

// the loop function runs over and over again forever
void loop() {
  analogWrite(LED_RED, 0); //red is too bright, set lower than other colors
  analogWrite(LED_GREEN, 255);
  analogWrite(LED_BLUE, 255);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);

  analogWrite(LED_RED, 80);
  analogWrite(LED_GREEN, 100);
  analogWrite(LED_BLUE, 255);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);
  
  analogWrite(LED_RED, 140);
  analogWrite(LED_GREEN, 40);
  analogWrite(LED_BLUE, 255);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);

  analogWrite(LED_RED, 255);
  analogWrite(LED_GREEN, 0);
  analogWrite(LED_BLUE, 230);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);

  analogWrite(LED_RED, 255);
  analogWrite(LED_GREEN, 60);
  analogWrite(LED_BLUE, 0);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);

  analogWrite(LED_RED, 210);
  analogWrite(LED_GREEN, 255);
  analogWrite(LED_BLUE, 0);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);

  analogWrite(LED_RED, 100);
  analogWrite(LED_GREEN, 255);
  analogWrite(LED_BLUE, 100);

  digitalWrite(MIDDLE, HIGH); // flash each led quickly
  delay(200);
  digitalWrite(MIDDLE, LOW);
  
  digitalWrite(LEFT, HIGH);
  delay(200);
  digitalWrite(LEFT, LOW);
  
  digitalWrite(RIGHT, HIGH);
  delay(200);
  digitalWrite(RIGHT, LOW);
  
  delay(100);
}
